VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus Class Reference

`Ipv6.IPv6AddressStatus` enumerated type Defines IPV6 address status values More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, tentative, unknown, inaccessible, invalid, duplicate, preferred, deprecated, optimistic }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static IPv6AddressStatus[] | GetValues ()
static IPv6AddressStatus | ValueOf (string name)
## Static Public Attributes
static readonly IPv6AddressStatus | tentative = new IPv6AddressStatus("tentative", Values.tentative)
| This IPv6 address is in the process of being verified as unique.
static readonly IPv6AddressStatus | unknown = new IPv6AddressStatus("unknown", Values.unknown)
| The status of this address cannot be determined.
static readonly IPv6AddressStatus | inaccessible = new IPv6AddressStatus("inaccessible", Values.inaccessible)
| This IPv6 address is inaccessible because the interface to which this address is assigned is not operational.
static readonly IPv6AddressStatus | invalid = new IPv6AddressStatus("invalid", Values.invalid)
| This IPv6 address is not a valid address.
static readonly IPv6AddressStatus | duplicate = new IPv6AddressStatus("duplicate", Values.duplicate)
| This IPv6 address is not unique on the link.
static readonly IPv6AddressStatus | preferred = new IPv6AddressStatus("preferred", Values.preferred)
| This is a valid IPv6 address that can appear as the destination or source address of a packet.
static readonly IPv6AddressStatus | deprecated = new IPv6AddressStatus("deprecated", Values.deprecated)
| This is a valid but deprecated IPv6 address.
static readonly IPv6AddressStatus | optimistic = new IPv6AddressStatus("optimistic", Values.optimistic)
| This IPv6 address is available for use, subject to restrictions, while its uniqueness on a link is being verified.

## Detailed Description

`Ipv6.IPv6AddressStatus` enumerated type Defines IPV6 address status values

## Member Enumeration Documentation

enum vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  tentative | This IPv6 address is in the process of being verified as unique. Do not use addresses in this state for general communication. You can use them to determine the uniqueness of the address. See RFC 4293.
  unknown | The status of this address cannot be determined. See RFC 4293.
  inaccessible | This IPv6 address is inaccessible because the interface to which this address is assigned is not operational. See RFC 4293.
  invalid | This IPv6 address is not a valid address. It should not appear as the destination or source address of a packet. See RFC 4293.
  duplicate | This IPv6 address is not unique on the link. Do use this IPv6 address. See RFC 4293.
  preferred | This is a valid IPv6 address that can appear as the destination or source address of a packet. See RFC 4293.
  deprecated | This is a valid but deprecated IPv6 address. Do not use this IPv6 address as a source address in new communications, although packets addressed to such an address are processed as expected. See RFC 4293.
  optimistic | This IPv6 address is available for use, subject to restrictions, while its uniqueness on a link is being verified. See RFC 4293.

## Member Function Documentation

Values vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::GetEnumValue | ( |  | ) | `[inline]`

static IPv6AddressStatus [] vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::IsUnknown | ( |  | ) | `[inline]`

static IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::deprecated = new IPv6AddressStatus("deprecated", Values.deprecated)`[static]`

This is a valid but deprecated IPv6 address.

Do not use this IPv6 address as a source address in new communications, although packets addressed to such an address are processed as expected. See RFC 4293.

readonly IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::duplicate = new IPv6AddressStatus("duplicate", Values.duplicate)`[static]`

This IPv6 address is not unique on the link.

Do use this IPv6 address. See RFC 4293.

readonly IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::inaccessible = new IPv6AddressStatus("inaccessible", Values.inaccessible)`[static]`

This IPv6 address is inaccessible because the interface to which this address is assigned is not operational.

See RFC 4293.

readonly IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::invalid = new IPv6AddressStatus("invalid", Values.invalid)`[static]`

This IPv6 address is not a valid address.

It should not appear as the destination or source address of a packet. See RFC 4293.

readonly IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::optimistic = new IPv6AddressStatus("optimistic", Values.optimistic)`[static]`

This IPv6 address is available for use, subject to restrictions, while its uniqueness on a link is being verified.

See RFC 4293.

readonly IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::preferred = new IPv6AddressStatus("preferred", Values.preferred)`[static]`

This is a valid IPv6 address that can appear as the destination or source address of a packet.

See RFC 4293.

readonly IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::tentative = new IPv6AddressStatus("tentative", Values.tentative)`[static]`

This IPv6 address is in the process of being verified as unique.

Do not use addresses in this state for general communication. You can use them to determine the uniqueness of the address. See RFC 4293.

readonly IPv6AddressStatus vmware::appliance::techpreview::networking::Ipv6Types::IPv6AddressStatus::unknown = new IPv6AddressStatus("unknown", Values.unknown)`[static]`

The status of this address cannot be determined.

See RFC 4293.

The documentation for this class was generated from the following file:

- Ipv6Types.cs